<?php

if( TYPO3_MODE == 'BE' )
{
	/*	 * ****************************************************************************
	 * Configure Backend Extension
	 * **************************************************************************** */

	if( !is_array( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] ) )
	{
		$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] );
	}

			// #i0105, 171216, dwildt, ~
	$backendstyleDisabled = $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ][ 'backendstyleDisabled' ];

	if( !$backendstyleDisabled )
	{
		if( !is_array( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ] ) )
		{
			$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ] = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ] );
		}

		// Login Logo
		if( !isset( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'loginLogo' ] ) || empty( trim( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'loginLogo' ] ) )
		)
		{
			$loginLogo = 'EXT:quick_shop/Resources/Public/Images/Backend/typo3-quick-shop_loginLogo.jpg';
			$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'loginLogo' ] = $loginLogo;
		}

		// Login Background
		if( !isset( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'loginBackgroundImage' ] ) || empty( trim( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'loginBackgroundImage' ] ) )
		)
		{
			$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'loginBackgroundImage' ] = 'EXT:quick_shop/Resources/Public/Images/Backend/typo3-quick-shop_loginBackgroundImage.jpg';
		}

		// Backend Logo
		if( !isset( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'backendLogo' ] ) || empty( trim( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'backendLogo' ] ) )
		)
		{
			$backendLogo = 'EXT:quick_shop/Resources/Public/Images/Backend/typo3-quick-shop_backendLogo@2x.png';
			$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'backendLogo' ] = $backendLogo;
		}

		// Favicon
		if( !isset( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'backendFavicon' ] ) || empty( trim( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'backendFavicon' ] ) )
		)
		{
			$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'backendFavicon' ] = 'EXT:quick_shop/Resources/Public/Images/Backend/typo3-quick-shop.ico';
		}

		// loginHighlightColor
		if( !isset( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'loginHighlightColor' ] ) || empty( trim( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'loginHighlightColor' ] ) )
		)
		{
			$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ][ 'loginHighlightColor' ] = '#FE5E00';
		}

		if( is_array( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ] ) )
		{
			$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ] = serialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'backend' ] );
		}
	}

	if( is_array( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] ) )
	{
		$GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] = serialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] );
	}
}


/* * ****************************************************************************
 * Set TYPO3 version
 * **************************************************************************** */

// #i0105, 171216, dwildt, ~
if( !$backendstyleDisabled )
{
	list( $main, $sub, $bugfix ) = explode( '.', TYPO3_version );
	$typo3Version = ( ( int ) $main ) * 1000000;
	$typo3Version = $typo3Version + ( ( int ) $sub ) * 1000;
	$typo3Version = $typo3Version + ( ( int ) $bugfix ) * 1;

	switch( TRUE )
	{
		case($typo3Version < 7006000):
			$GLOBALS[ 'TBE_STYLES' ][ 'logo' ] = '../typo3conf/ext/quick_shop/Resources/Public/Images/Backend/typo3-quick-shop_backendLogo@2x.png';
			$GLOBALS[ 'TBE_STYLES' ][ 'logo_login' ] = '../typo3conf/ext/quick_shop/Resources/Public/Images/Backend/typo3-quick-shop_loginLogo-v6.2.jpg';
			break;
		case($typo3Version < 8007000):
			$GLOBALS[ 'TBE_STYLES' ][ 'logo' ] = '../typo3conf/ext/quick_shop/Resources/Public/Images/Backend/typo3-quick-shop_backendLogo@2x.png';
			break;
		default:
			// Is done above;
			break;
	}
}