<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

$tx_quickshop_pricevariant = array(
		'ctrl' => array(
				'title' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_pricevariant.xml:tx_quickshop_pricevariant',
				'label' => 'title',
				'label_alt' => 'value,tx_quickshop_tax',
				'label_alt_force' => true,
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'fe_cruser_id' => 'fe_cruser_id',
				'default_sortby' => 'ORDER BY title',
				'delete' => 'deleted',
				'enablecolumns' => array(
						'disabled' => 'hidden',
				),
				'dividers2tabs' => true,
				'hideAtCopy' => false,
				'iconfile' => 'EXT:quick_shop/Resources/Public/Images/Icons/ExtIcon/quick_shop.svg',
				'searchFields' => ''
				. 'title,%%%title_lang_ol,%%%'
				. 'tx_quickshop_pricevariant,'
				. 'hidden'
		),
		'interface' => array(
				'showRecordFieldList' => ''
				. 'title'
				. ',%%%title_lang_ol'
				. ',%%%value'
				. ',tx_quickshop_tax'
				. ',hidden,starttime,endtime,fe_group'
		),
		'columns' => array(
				'title' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_pricevariant.xml:tx_quickshop_pricevariant.title',
						'config' => array(
								'type' => 'input',
								'size' => '30',
								'eval' => 'required',
						)
				),
				'title_lang_ol' => array(
						'exclude' => 1,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_pricevariant.xml:tx_quickshop_pricevariant.title_lang_ol',
						'config' => array(
								'type' => 'input',
								'size' => '30',
						),
				),
				'value' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_pricevariant.xml:tx_quickshop_pricevariant.value',
						'config' => array(
								'type' => 'input',
								'size' => '7',
								'max' => '7',
								'eval' => 'required,double2',
						),
				),
				'tx_quickshop_tax' => array(
						'exclude' => 1,
						// #t1668, 171206, dwildt, 1-/3+
						//'l10n_mode' => 'mergeIfNotBlank',
						'behaviour' => array(
								'allowLanguageSynchronization' => true,
						),
						'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_pricevariant.xml:tx_quickshop_pricevariant.tx_quickshop_tax',
						'config' => array(
								'type' => 'select',
								// #t1668, 171206, dwildt, 1+
								'renderType' => 'selectSingle',
								'size' => 3,
								'maxitems' => 1,
								'eval' => 'required',
								'foreign_table' => 'tx_quickshop_tax'
						),
				),
				'hidden' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'hidden' ],
				'starttime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'starttime' ],
				'endtime' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'endtime' ],
				'fe_group' => $GLOBALS[ 'TCA' ][ 'tt_content' ][ 'columns' ][ 'fe_group' ],
		),
		'palettes' => array(
				'control' => array(
						'showitem' => ''
						. 'hidden,'
						. 'starttime,endtime,'
						. 'fe_cruser_id,--linebreak--,'
						. 'fe_group'
				),
				'title' => array(
						'showitem' => ''
						. 'title,%%%title_lang_ol,%%%'
						,
						'canNotCollapse' => 1,
				),
		),
		'types' => array(
				'0' => array(
						'showitem' => ''
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_pricevariant.xml:tx_quickshop_pricevariant.div_pricevariant,'
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_org.xml:palette.title;title,'
						. '  value,tx_quickshop_tax,'
						. '--div--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_pricevariant.xml:tx_quickshop_pricevariant.div_control,     '
						. '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/locallang_db.xml:palette.control;control,'
						. ''
				),
		),
);

// Enable or disable the localisation
$tx_quickshop_pricevariant = \Netzmacher\QuickShop\TCA\Localisation::Replace( $tx_quickshop_pricevariant );

return $tx_quickshop_pricevariant;

