plugin.tx_browser_pi1 {
  views {
    single {
      62100 {
          // empty statement for proper comments only
        tx_quickshop_provider {
        }
          // title.20.0.10.50: tx_quickshop_products
        tx_quickshop_provider =
        tx_quickshop_provider {
          title {
            20 {
              0 {
	              10 {
									50 >
										// empty statement for proper comments only
									50 {
									}
										// tx_quickshop_products
									50 = COA
									50 {
											// REGISTER:tx_quickshop_products
										10 = LOAD_REGISTER
										10 {
												// CONTENT: table = tx_quickshop_products
											tx_quickshop_products =
											tx_quickshop_products {
													// table = tx_quickshop_products, select, renderObj: title, [teaser_short || short || teaser_description || description], &raquo;
												cObject = CONTENT
												cObject {
													table = tx_quickshop_products
													select {
														pidInList = {$plugin.quick_shop.pages.items}
														recursive = {$plugin.quick_shop.pages.items.recursive}
														join = tx_quickshop_mm ON tx_quickshop_mm.uid_local = tx_quickshop_products.uid
														where {
															field = tx_quickshop_provider.uid
															noTrimWrap = |tx_quickshop_mm.uid_foreign = | AND tx_quickshop_mm.table_local = 'tx_quickshop_products' AND tx_quickshop_mm.table_foreign = 'tx_quickshop_provider'|
														}
														orderBy = title
	//													max = 3
													}
														// key: default, notype, page, url 
													renderObj = CASE
													renderObj {
														key {
															field = {$plugin.tx_browser_pi1.templates.listview.url.0.key}
														}
															// link to detail view: title, [teaser_short || short || teaser_description || description], &raquo;
														default = COA
														default {
																// title
															20 = TEXT
															20 {
																field       = title
																required    = 1
																wrap				= <span style="font-weight:bold;">|</span>
															}
																// teaser_short || short || teaser_description || description
															30 = TEXT
															30 {
																crop				= 80|...|1
																field       = teaser_short // short // teaser_description // description 
																noTrimWrap	= |: ||
																required    = 1
																stripHtml		= 1
															}
																// &raquo;
															40 = TEXT
															40 {
																value       = &raquo;
																noTrimWrap	= | ||
															}
																// <li class="url disc">|</li>
															stdWrap =
															stdWrap {
																wrap = <li class="url disc">|</li>
																typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.0.default
															}
														}
															// no link
														notype < .default
														notype {
															stdWrap {
																typolink >
															}
														}
															// link to internal page
														page < .default
														page {
															stdWrap {
																typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.0.page
															}
														}
															// link to external url
														url < .page
														url {
															stdWrap {
																typolink < plugin.tx_browser_pi1.displayList.master_templates.tableFields.typolinks.0.url
															}
														}
													}
												}
											}
										}
											// if.isTrue.data = REGISTER:tx_quickshop_products: header, data = REGISTER:tx_quickshop_products
										20 = COA
										20 {
												// isTrue.data = REGISTER:tx_quickshop_products
											if =
											if {
													// data = REGISTER:tx_quickshop_products
												isTrue =
												isTrue {
													data = REGISTER:tx_quickshop_products
												}
											}
												// header
											10 = TEXT
											10 {
												data = LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop_products.xml:products
												wrap = <h2 class="header">|</h2>
											}
												// data = REGISTER:tx_quickshop_products
											20 = COA
											20 {
												10 = TEXT
												10 {
													data = REGISTER:tx_quickshop_products
												}
												wrap = <ul class="tx_quickshop_products">|</ul><!-- vcard -->
											}
										}
									}
								}
							}
							1 {
								10.50 >
								10.50 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10.50
							}
							2 {
								10.50 >
								10.50 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10.50
							}
							8 {
								10.50 >
								10.50 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10.50
							}
							9 {
								10.50 >
								10.50 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10.50
							}
							10 {
								10.50 >
								10.50 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10.50
							}
							17 {
								10.50 >
								10.50 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10.50
							}
							18 {
								10.50 >
								10.50 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10.50
							}
							25 {
								10.50 >
								10.50 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10.50
							}
							26 {
								10.50 >
								10.50 < plugin.tx_browser_pi1.views.single.62100.tx_quickshop_provider.title.20.0.10.50
							}
						}
						wrap = <div class="row">|</div>
					}
				}
			}
		}
	}
}