<?php

use Netzmacher\QuickShop\Utility\Update\Script;

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2017-2019 -  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author  Dirk Wildt <http://wildt.at.die-netzmacher.de>
 * @package TYPO3
 * @subpackage quick_shop
 * @version     7.0.1
 * @since       7.0.0
 */
class ext_update
{

  /**
   * Checks how many rows are found and returns true if there are any
   * (this function is called from the extension manager)
   *
   * @param	string		$what: what should be updated
   * @return	boolean
   */
  public function access( $what = 'all' )
  {
    return TRUE;
  }


  /**
   * Main function, returning the HTML content of the update script
   *
   * @return	string		HTML
   * @version     7.0.1
   * @since       7.0.0
   */
  public function main()
  {
    return \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( Script::class )->main();
  }

}
