<?php

if ( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

/* * ****************************************************************************
 * Set TYPO3 version
 * **************************************************************************** */

// #t1805, 171207, ~
list( $main, $sub, $bugfix ) = explode( '.', TYPO3_version );
$typo3Version = ( ( int ) $main ) * 1000000;
$typo3Version = $typo3Version + ( ( int ) $sub ) * 1000;
$typo3Version = $typo3Version + ( ( int ) $bugfix ) * 1;

switch( TRUE )
{
	case($typo3Version < 7006000):
	case($typo3Version < 8007000):
		require( PATH_typo3conf . 'ext/quick_shop/Configuration/ExtTables/7.6/index.php' );
		break;
	case($typo3Version >= 8007000):
	default:
		require( PATH_typo3conf . 'ext/quick_shop/Configuration/ExtTables/Default/index.php' );
		break;
}

/* * ****************************************************************************
 * Backend Styling
 * **************************************************************************** */

//require_once( PATH_typo3conf . 'ext/quick_shop/Configuration/ExtTables/Extensions/Backend.php' );
\Netzmacher\QuickShop\Backend\Extensions\Backend::Style();

/* * ****************************************************************************
 * Page and User TSconfig
 * **************************************************************************** */

require_once( PATH_typo3conf . 'ext/quick_shop/Configuration/ExtTables/TSconfig.php' );

/* * ****************************************************************************
 * addToInsertRecords
 * **************************************************************************** */

// #i0145, 180616, dwildt, 1+
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToInsertRecords( 'tx_quickshop_products' );

