#
# INDEX
#
# tx_quickshop_categories
# tx_quickshop_dimension
# tx_quickshop_group
# tx_quickshop_material
# tx_quickshop_mm
# tx_quickshop_pricevariant
# tx_quickshop_products
# tx_quickshop_provider
# tx_quickshop_providercat
# tx_quickshop_shippingcosts
# tx_quickshop_tax
# tx_quickshop_variant
# tx_quickshop_variantproperty



#
# tx_quickshop_categories
#
CREATE TABLE tx_quickshop_categories (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
  hidden smallint(5) unsigned DEFAULT '0' NOT NULL,
  description text,
  description_lang_ol text,
  frame_class varchar(60) NOT NULL DEFAULT '',
  image text,
  image_1stforlistonly tinyint(3) unsigned NOT NULL default '0',
  image_compression tinyint(3) unsigned NOT NULL default '0',
  image_effects tinyint(3) unsigned NOT NULL default '0',
  image_frames tinyint(3) unsigned NOT NULL default '0',
  image_link text,
  image_noRows tinyint(3) unsigned NOT NULL default '0',
  image_zoom tinyint(3) unsigned NOT NULL default '0',
  imageborder tinyint(4) unsigned NOT NULL default '0',
  imagecaption text,
  imagecaption_position varchar(12) default '',
  imagecols tinyint(4) unsigned NOT NULL default '0',
  imageheight tinytext,
  imageorient tinyint(4) unsigned NOT NULL default '0',
  imageseo text,
  imagewidth tinytext,
  layout tinytext,
  page tinytext,
  short text,
  short_lang_ol text,
  spaceAfter smallint(5) unsigned NOT NULL default '0',
  spaceBefore smallint(5) unsigned NOT NULL default '0',
  space_after_class varchar(12) default '',
  space_before_class varchar(12) default '',
  title tinytext,
  title_lang_ol tinytext,
	tx_quickshop_products int(11) DEFAULT '0' NOT NULL,
  type tinytext,
  uid_parent int(11) DEFAULT '0' NOT NULL,
  url tinytext,

  PRIMARY KEY (uid),
  KEY parent (pid)
);


#
# tx_quickshop_dimension
#
CREATE TABLE tx_quickshop_dimension (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
  hidden smallint(5) unsigned DEFAULT '0' NOT NULL,
  description text,
  description_lang_ol text,
  frame_class varchar(60) NOT NULL DEFAULT '',
  image text,
  image_1stforlistonly tinyint(3) unsigned NOT NULL default '0',
  image_compression tinyint(3) unsigned NOT NULL default '0',
  image_effects tinyint(3) unsigned NOT NULL default '0',
  image_frames tinyint(3) unsigned NOT NULL default '0',
  image_link text,
  image_noRows tinyint(3) unsigned NOT NULL default '0',
  image_zoom tinyint(3) unsigned NOT NULL default '0',
  imageborder tinyint(4) unsigned NOT NULL default '0',
  imagecaption text,
  imagecaption_position varchar(12) default '',
  imagecols tinyint(4) unsigned NOT NULL default '0',
  imageheight tinytext,
  imageorient tinyint(4) unsigned NOT NULL default '0',
  imageseo text,
  imagewidth tinytext,
  layout tinytext,
  page tinytext,
  short text,
  short_lang_ol text,
  spaceAfter smallint(5) unsigned NOT NULL default '0',
  spaceBefore smallint(5) unsigned NOT NULL default '0',
  space_after_class varchar(12) default '',
  space_before_class varchar(12) default '',
  title tinytext,
  title_lang_ol tinytext,
	tx_quickshop_products int(11) DEFAULT '0' NOT NULL,
  type tinytext,
  uid_parent int(11) DEFAULT '0' NOT NULL,
  url tinytext,

  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# tx_quickshop_group
#
CREATE TABLE tx_quickshop_group (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
  hidden smallint(5) unsigned DEFAULT '0' NOT NULL,
  description text,
  description_lang_ol text,
  frame_class varchar(60) NOT NULL DEFAULT '',
  image text,
  image_1stforlistonly tinyint(3) unsigned NOT NULL default '0',
  image_compression tinyint(3) unsigned NOT NULL default '0',
  image_effects tinyint(3) unsigned NOT NULL default '0',
  image_frames tinyint(3) unsigned NOT NULL default '0',
  image_link text,
  image_noRows tinyint(3) unsigned NOT NULL default '0',
  image_zoom tinyint(3) unsigned NOT NULL default '0',
  imageborder tinyint(4) unsigned NOT NULL default '0',
  imagecaption text,
  imagecaption_position varchar(12) default '',
  imagecols tinyint(4) unsigned NOT NULL default '0',
  imageheight tinytext,
  imageorient tinyint(4) unsigned NOT NULL default '0',
  imageseo text,
  imagewidth tinytext,
  layout tinytext,
  page tinytext,
  short text,
  short_lang_ol text,
  spaceAfter smallint(5) unsigned NOT NULL default '0',
  spaceBefore smallint(5) unsigned NOT NULL default '0',
  space_after_class varchar(12) default '',
  space_before_class varchar(12) default '',
  title tinytext,
  title_lang_ol tinytext,
	tx_quickshop_products int(11) DEFAULT '0' NOT NULL,
  type tinytext,
  uid_parent int(11) DEFAULT '0' NOT NULL,
  url tinytext,

  PRIMARY KEY (uid),
  KEY parent (pid)
);



#
# tx_quickshop_material
#
CREATE TABLE tx_quickshop_material (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
  hidden smallint(5) unsigned DEFAULT '0' NOT NULL,
  description text,
  description_lang_ol text,
  frame_class varchar(60) NOT NULL DEFAULT '',
  image text,
  image_1stforlistonly tinyint(3) unsigned NOT NULL default '0',
  image_compression tinyint(3) unsigned NOT NULL default '0',
  image_effects tinyint(3) unsigned NOT NULL default '0',
  image_frames tinyint(3) unsigned NOT NULL default '0',
  image_link text,
  image_noRows tinyint(3) unsigned NOT NULL default '0',
  image_zoom tinyint(3) unsigned NOT NULL default '0',
  imageborder tinyint(4) unsigned NOT NULL default '0',
  imagecaption text,
  imagecaption_position varchar(12) default '',
  imagecols tinyint(4) unsigned NOT NULL default '0',
  imageheight tinytext,
  imageorient tinyint(4) unsigned NOT NULL default '0',
  imageseo text,
  imagewidth tinytext,
  layout tinytext,
  page tinytext,
  short text,
  short_lang_ol text,
  spaceAfter smallint(5) unsigned NOT NULL default '0',
  spaceBefore smallint(5) unsigned NOT NULL default '0',
  space_after_class varchar(12) default '',
  space_before_class varchar(12) default '',
  title tinytext,
  title_lang_ol tinytext,
	tx_quickshop_products int(11) DEFAULT '0' NOT NULL,
  type tinytext,
  uid_parent int(11) DEFAULT '0' NOT NULL,
  url tinytext,

  PRIMARY KEY (uid),
  KEY parent (pid)
);



#
# tx_quickshop_mm
#
CREATE TABLE tx_quickshop_mm (
  uid_local int(11) unsigned NOT NULL DEFAULT '0',
  uid_foreign int(11) unsigned NOT NULL DEFAULT '0',
  sorting         int(11) unsigned NOT NULL DEFAULT '0',
  sorting_foreign int(11) unsigned NOT NULL DEFAULT '0',
  table_local varchar(100) NOT NULL DEFAULT '',
  table_foreign varchar(100) NOT NULL DEFAULT '',
  KEY uid_local (uid_local),
  KEY uid_foreign (uid_foreign)
);



#
# tx_quickshop_pricevariant
#
CREATE TABLE tx_quickshop_pricevariant (
  uid int(11) unsigned NOT NULL DEFAULT '0' auto_increment,
  pid int(11) unsigned NOT NULL DEFAULT '0',
  tstamp int(11) unsigned NOT NULL DEFAULT '0',
  crdate int(11) unsigned NOT NULL DEFAULT '0',
  cruser_id int(11) unsigned NOT NULL DEFAULT '0',
  deleted smallint(5) unsigned NOT NULL DEFAULT '0',
  endtime int(11) NOT NULL DEFAULT '0',
  fe_cruser_id int(11) NOT NULL DEFAULT '0',
  fe_group varchar(100) NOT NULL DEFAULT '0',
  hidden tinyint(4) NOT NULL DEFAULT '0',
  import_srcePid int(11) unsigned NOT NULL DEFAULT '0',
  import_srceTable varchar(100) NOT NULL DEFAULT '',
  import_srceUid int(11) unsigned NOT NULL DEFAULT '0',
  starttime int(11) NOT NULL DEFAULT '0',
  title tinytext,
  title_lang_ol tinytext,
  tx_quickshop_tax tinytext,
  value tinytext,

  PRIMARY KEY (uid),
  KEY parent (pid)
);



#
# tx_quickshop_products
#
CREATE TABLE tx_quickshop_products (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  sys_language_uid int(11) DEFAULT '0' NOT NULL,
  l10n_diffsource mediumtext,
  l10n_parent int(11) DEFAULT '0' NOT NULL,
	l10n_state text,
  sorting int(10) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
  caption text,
  caption_position varchar(12) default '',
  cols int(11) DEFAULT '0' NOT NULL,
  datasheet text,
  description text,
  documents text,
  documentscaption tinytext,
  documentslayout smallint(5) unsigned NOT NULL DEFAULT '0',
  documentssize smallint(5) unsigned NOT NULL DEFAULT '0',
  documents_from_path tinytext,
  ean tinytext,
  ebay_keywords tinytext,
  embeddedcode text,
  endtime int(11) DEFAULT '0' NOT NULL,
  fe_group varchar(100) NOT NULL DEFAULT '',
  filterPrompt tinytext,
  frame_class varchar(60) NOT NULL DEFAULT '',
  geoupdateprompt text,
  geoupdateforbidden smallint(5) unsigned NOT NULL DEFAULT '0',
  hidden smallint(5) unsigned DEFAULT '0' NOT NULL,
  image text,
  image_1stforlistonly tinyint(3) unsigned NOT NULL default '0',
  image_compression tinyint(3) unsigned NOT NULL default '0',
  image_effects tinyint(3) unsigned NOT NULL default '0',
  image_frames tinyint(3) unsigned NOT NULL default '0',
  image_link text,
  image_noRows tinyint(3) unsigned NOT NULL default '0',
  image_zoom tinyint(3) unsigned NOT NULL default '0',
  imageborder tinyint(4) unsigned NOT NULL default '0',
  imagecaption text,
  imagecaption_position varchar(12) default '',
  imagecols tinyint(4) unsigned NOT NULL default '0',
  imageheight tinytext,
  imageorient tinyint(4) unsigned NOT NULL default '0',
  imageseo text,
  imagewidth tinytext,
  layout tinytext,
  mail_address text,
  mail_postcode tinytext,
  mail_city tinytext,
  mail_country tinytext,
  mail_lat text,
  mail_lon text,
  mail_url text,
  mail_street text,
  mail_zip tinytext,
  marginal_description tinytext,
  marginal_short text,
  marginal_title tinytext,
  page tinytext,
  price double(11,2) DEFAULT '0.00' NOT NULL,
  quantity_min int(11) DEFAULT '0' NOT NULL,
  quantity_max int(11) DEFAULT '0' NOT NULL,
  section_frame int(11) unsigned NOT NULL default '0',
  seo_keywords text,
  seo_description text,
  short text,
  sku tinytext,
  spaceAfter smallint(5) unsigned NOT NULL default '0',
  spaceBefore smallint(5) unsigned NOT NULL default '0',
  space_after_class varchar(12) default '',
  space_before_class varchar(12) default '',
  starttime int(11) DEFAULT '0' NOT NULL,
  stockmanagement tinyint(3) DEFAULT '0' NOT NULL,
  stockquantity int(11) DEFAULT '0' NOT NULL,
  stockprompt tinytext,
  tax int(11) DEFAULT '0' NOT NULL,
  teaser_description text,
  teaser_short text,
  teaser_title tinytext,
  title tinytext,
  topoffer tinyint(4) unsigned NOT NULL DEFAULT '0',
  tx_quickshop_categories int(11) DEFAULT '0' NOT NULL,
  tx_quickshop_dimension int(11) DEFAULT '0' NOT NULL,
  tx_quickshop_pricevariant int(11) DEFAULT '0' NOT NULL,
  tx_quickshop_group int(11) DEFAULT '0' NOT NULL,
  tx_quickshop_material int(11) DEFAULT '0' NOT NULL,
  tx_quickshop_provider int(11) DEFAULT '0' NOT NULL,
  tx_quickshop_shippingcosts int(11) DEFAULT '0' NOT NULL,
  tx_quickshop_variant int(11) unsigned DEFAULT '0' NOT NULL,
  type tinytext,
  url tinytext,
  weight double(11,2) DEFAULT '0.00' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);



#
# tx_quickshop_provider
#
CREATE TABLE tx_quickshop_provider (
  uid int(11) NOT NULL auto_increment,
  pid int(11) unsigned NOT NULL DEFAULT '0',
  tstamp int(11) unsigned NOT NULL DEFAULT '0',
  crdate int(11) unsigned NOT NULL DEFAULT '0',
  cruser_id int(11) unsigned NOT NULL DEFAULT '0',
  sys_language_uid int(11) NOT NULL DEFAULT '0',
  l10n_diffsource mediumtext,
  l10n_parent int(11) NOT NULL DEFAULT '0',
	l10n_state text,
  sorting int(11) unsigned NOT NULL DEFAULT '0',
  deleted smallint(5) unsigned NOT NULL DEFAULT '0',
  title tinytext,
  bodytext text,
  email tinytext,
  fax tinytext,
  fe_cruser_id int(11) NOT NULL DEFAULT '0',
  fe_group int(11) NOT NULL DEFAULT '0',
  frame_class varchar(60) NOT NULL DEFAULT '',
  geoupdateprompt text,
  geoupdateforbidden smallint(5) unsigned NOT NULL DEFAULT '0',
  hidden smallint(5) unsigned NOT NULL DEFAULT '0',
  image text,
  image_1stforlistonly tinyint(3) unsigned NOT NULL default '0',
  image_compression tinyint(3) unsigned NOT NULL default '0',
  image_effects tinyint(3) unsigned NOT NULL default '0',
  image_frames tinyint(3) unsigned NOT NULL default '0',
  image_link text,
  image_noRows tinyint(3) unsigned NOT NULL default '0',
  image_zoom tinyint(3) unsigned NOT NULL default '0',
  imageborder smallint(5) unsigned NOT NULL DEFAULT '0',
  imagecaption text,
  imagecaption_position varchar(12) default '',
  imagecols smallint(5) unsigned NOT NULL DEFAULT '0',
  imageheight tinytext,
  imageorient smallint(5) unsigned NOT NULL DEFAULT '0',
  imageseo text,
  imagewidth tinytext,
  import_srcePid int(11) unsigned NOT NULL DEFAULT '0',
  import_srceTable varchar(100) NOT NULL DEFAULT '',
  import_srceUid int(11) unsigned NOT NULL DEFAULT '0',
  layout tinytext,
  mail_address text,
  mail_postcode tinytext,
  mail_city tinytext,
  mail_country tinytext,
  mail_lat text,
  mail_lon text,
  mail_url text,
  mail_street text,
  mail_zip tinytext,
  marginal_description tinytext,
  marginal_short text,
  marginal_title tinytext,
  page tinytext,
  pages tinytext,
  section_frame int(11) unsigned NOT NULL default '0',
  seo_description text,
  seo_keywords text,
  spaceAfter smallint(5) unsigned NOT NULL default '0',
  spaceBefore smallint(5) unsigned NOT NULL default '0',
  space_before_class varchar(60) NOT NULL DEFAULT '',
  space_after_class varchar(60) NOT NULL DEFAULT '',
  teaser_description text,
  teaser_short text,
  teaser_title tinytext,
  telephone tinytext,
  top smallint(5) unsigned NOT NULL DEFAULT '0',
	tx_quickshop_products int(11) DEFAULT '0' NOT NULL,
	tx_quickshop_providercat int(11) DEFAULT '0' NOT NULL,
  type tinytext,
  url tinytext,

  PRIMARY KEY (uid),
  KEY parent (pid)
);



#
# tx_quickshop_providercat
#
CREATE TABLE tx_quickshop_providercat (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
  hidden smallint(5) unsigned DEFAULT '0' NOT NULL,
  description text,
  description_lang_ol text,
  frame_class varchar(60) NOT NULL DEFAULT '',
  image text,
  image_1stforlistonly tinyint(3) unsigned NOT NULL default '0',
  image_compression tinyint(3) unsigned NOT NULL default '0',
  image_effects tinyint(3) unsigned NOT NULL default '0',
  image_frames tinyint(3) unsigned NOT NULL default '0',
  image_link text,
  image_noRows tinyint(3) unsigned NOT NULL default '0',
  image_zoom tinyint(3) unsigned NOT NULL default '0',
  imageborder tinyint(4) unsigned NOT NULL default '0',
  imagecaption text,
  imagecaption_position varchar(12) default '',
  imagecols tinyint(4) unsigned NOT NULL default '0',
  imageheight tinytext,
  imageorient tinyint(4) unsigned NOT NULL default '0',
  imageseo text,
  imagewidth tinytext,
  layout tinytext,
  page tinytext,
  short text,
  short_lang_ol text,
  spaceAfter smallint(5) unsigned NOT NULL default '0',
  spaceBefore smallint(5) unsigned NOT NULL default '0',
  space_after_class varchar(12) default '',
  space_before_class varchar(12) default '',
  title tinytext,
  title_lang_ol tinytext,
  type tinytext,
  uid_parent int(11) DEFAULT '0' NOT NULL,
  url tinytext,

  PRIMARY KEY (uid),
  KEY parent (pid)
);


#
# tx_quickshop_shippingcosts
#
CREATE TABLE tx_quickshop_shippingcosts (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
  hidden smallint(5) unsigned DEFAULT '0' NOT NULL,
  title tinytext,
  title_lang_ol tinytext,
  value int(11) DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);



#
# tx_quickshop_tax
#
CREATE TABLE tx_quickshop_tax (
  uid int(11) unsigned NOT NULL DEFAULT '0' auto_increment,
  pid int(11) unsigned NOT NULL DEFAULT '0',
  tstamp int(11) unsigned NOT NULL DEFAULT '0',
  crdate int(11) unsigned NOT NULL DEFAULT '0',
  cruser_id int(11) unsigned NOT NULL DEFAULT '0',
  deleted smallint(5) unsigned NOT NULL DEFAULT '0',
  import_srcePid int(11) unsigned NOT NULL DEFAULT '0',
  import_srceTable varchar(100) NOT NULL DEFAULT '',
  import_srceUid int(11) unsigned NOT NULL DEFAULT '0',
  title tinytext,
  title_lang_ol tinytext,
  value tinytext,
  hidden tinyint(4) NOT NULL DEFAULT '0',
  starttime int(11) NOT NULL DEFAULT '0',
  endtime int(11) NOT NULL DEFAULT '0',

  PRIMARY KEY (uid),
  KEY parent (pid)
);



#
# tx_quickshop_variant
#
CREATE TABLE tx_quickshop_variant (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  sys_language_uid int(11) DEFAULT '0' NOT NULL,
  l10n_parent int(11) DEFAULT '0' NOT NULL,
  l10n_diffsource mediumtext,
  sorting int(10) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
  hidden smallint(5) unsigned DEFAULT '0' NOT NULL,

  required smallint(5) unsigned DEFAULT '0' NOT NULL,
  title tinytext,
	tx_quickshop_products int(11) unsigned DEFAULT '0' NOT NULL,
  tx_quickshop_variantproperty int(11) unsigned DEFAULT '0' NOT NULL,
  
  PRIMARY KEY (uid),
  KEY parent (pid)
);



#
# tx_quickshop_variantproperty
#
CREATE TABLE tx_quickshop_variantproperty (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  sys_language_uid int(11) DEFAULT '0' NOT NULL,
  l10n_parent int(11) DEFAULT '0' NOT NULL,
  l10n_diffsource mediumtext,
  sorting int(10) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
  hidden smallint(5) unsigned DEFAULT '0' NOT NULL,

  defaultvalue smallint(5) unsigned DEFAULT '0' NOT NULL,
  price double(11,2) DEFAULT '0.00' NOT NULL,
  title tinytext,
	tx_quickshop_variant int(11) unsigned DEFAULT '0' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);