plugin.tx_caddy_pi1 {
  db {
    sql >
    sql = COA
    sql {
        // SELECT
      10 = COA
      10 {
        wrap = SELECT |
          // puid: GP:tx_quickshop_products|uid
        10 = TEXT
        10 {
          stdWrap {
            data = GP:tx_browser_pi1|itemUid
            //data = GP:tx_quickshop_products|uid
            intval = true
          }
          noTrimWrap = | '|' AS puid, |
        }
          // title: CONCAT ...
        20 = COA
        20 {
          wrap = CONCAT(|) AS title,
            // tx_quickshop_products.title
          10 = TEXT
          10 {
            value = tx_quickshop_products.title
            noTrimWrap = |'<strong>', |, '</strong><br />', |
          }
            // ... as title
          40 = TEXT
          40 {
            value = tx_quickshop_pricevariant.title
          }
        }
          // gross: tx_quickshop_pricevariant.value
        30 = TEXT
        30 {
          value = tx_quickshop_pricevariant.value
          noTrimWrap = | | AS gross, |
        }
          // tax: tx_quickshop_pricevariant.value
        40 = TEXT
        40 {
          value = tx_quickshop_tax.value
          noTrimWrap = | | AS tax, |
        }
          // sku: GP:tx_quickshop_products|uid
        50 = TEXT
        50 {
          stdWrap {
						data = GP:tx_browser_pi1|itemUid
            //data = GP:tx_quickshop_products|uid
            htmlSpecialChars = 1
          }
          noTrimWrap = | | AS sku |
          intval = true
        }
      }
        // FROM tx_quickshop_products
      20 = TEXT
      20 {
        value = tx_quickshop_products
        noTrimWrap = | FROM | |
      }
        // JOIN
      30 = COA
      30 {
          // LEFT JOIN tx_quickshop_mm
        10 = COA
        10 {
          wrap = LEFT JOIN tx_quickshop_mm ON (|)
						// tx_quickshop_mm.uid_local = tx_quickshop_products.uid AND tx_quickshop_mm.table_local = 'tx_quickshop_products'
					10 = TEXT
					10 {
						value = tx_quickshop_mm.uid_local = tx_quickshop_products.uid AND tx_quickshop_mm.table_local = 'tx_quickshop_products'
						noTrimWrap = | | |
					}
        }
          // LEFT JOIN tx_quickshop_pricevariant
        20 = COA
        20 {
          wrap = LEFT JOIN tx_quickshop_pricevariant ON (|)
            // tx_quickshop_mm.uid_foreign = tx_quickshop_pricevariant.uid AND tx_quickshop_mm.table_foreign = 'tx_quickshop_pricevariant'
          10 = TEXT
          10 {
            value = tx_quickshop_mm.uid_foreign = tx_quickshop_pricevariant.uid AND tx_quickshop_mm.table_foreign = 'tx_quickshop_pricevariant'
            noTrimWrap = | | |
          }
            // GP:tx_quickshop_pricevariant|uid
          20 = TEXT
          20 {
						data = GP:tx_quickshop_pricevariant|uid
            intval = true
            noTrimWrap = | AND tx_quickshop_pricevariant.uid = | |
          }
            // ###ENABLE_FIELDS:TX_QUICKSHOP_PRICEVARIANT###
          30 = TEXT
          30 {
            value = ###ENABLE_FIELDS:TX_QUICKSHOP_PRICEVARIANT###
            noTrimWrap = | | |
          }
        }
          // LEFT JOIN tx_quickshop_tax
        30 = COA
        30 {
          wrap = LEFT JOIN tx_quickshop_tax ON (|)
					10 = TEXT
					10 {
						value = tx_quickshop_pricevariant.tx_quickshop_tax = tx_quickshop_tax.uid ###ENABLE_FIELDS:TX_QUICKSHOP_TAX###
						noTrimWrap = | | |
					}
        }
          // WHERE
        40 = TEXT
        40 {
					data = GP:tx_browser_pi1|itemUid
					//data = GP:tx_quickshop_products|uid
          intval = true
          noTrimWrap = | WHERE tx_quickshop_products.uid = | ###ENABLE_FIELDS:TX_QUICKSHOP_PRODUCTS### |
        }
      }
    }
  }
  settings {
    variant {
      10 = tx_quickshop_pricevariant.uid
    }
  }
}